<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<?php if ( wolf_get_theme_option( 'responsive' ) ) : ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	<?php endif; ?>
	<?php wolf_meta_head(); ?>

	<!-- Title -->
	<title><?php wp_title(''); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />

	<!-- RSS & Pingbacks -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?> RSS Feed" href="<?php  bloginfo( 'rss2_url' ); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<?php wolf_head(); ?>

	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/lib/html5shiv.js" type="text/javascript"></script>
	<![endif]-->

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php if ( function_exists( 'wolf_message_bar' ) ) wolf_message_bar(); ?>
<?php wolf_body_start(); ?>
<div id="page" class="hfeed site">
	<?php wolf_header_before(); ?>
	<header id="masthead" class="site-header clearfix" role="banner">
		<?php wolf_logo(); ?>
		<?php wolf_header_start(); ?>
		<div id="navbar-container">
			<h3 class="menu-toggle"></h3>
			<div id="navbar" class="navbar clearfix">
				<nav id="site-navigation-primary" class="navigation main-navigation clearfix" role="navigation">
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'primary',
							'menu_class' => 'nav-menu'
						)
					); ?>
				</nav><!-- #site-navigation-primary -->
			</div><!-- #navbar -->
		</div>
		<?php wolf_header_end(); ?>
	</header><!-- #masthead -->
	<?php wolf_header_after(); ?>

	<div id="main" class="site-main clearfix">
		<div class="wrap">