<?php
/**
 * Set default customizer options
 */
function wolf_theme_customizer_options_init() {

	global $options;

	$customized = get_option( 'wolf_customizer_init' );

	if ( ! $customized ) {

		wolf_remove_customizer_options();

		$logo = wolf_get_theme_uri( '/images/presets/logo.png' );
		$body = wolf_get_theme_uri( '/images/presets/bg.jpg' );

		// then reset default options
		$options = array(
			'skin' => 'dark',
			'lightbox' => 'swipebox',
			'logo_align' => 'center',
			'logo' => $logo,
			'header_height' => '0',
			'copyright_textbox' => 'Powered by Wordpress',
			'page_container' => 'boxed',
			'sticky_menu' => 'true',
			'main_menu_breakpoint' => '1030',

			'menu_position' => 'bottom',

			'header_bg_none' => 'true',
			'header_bg_color' => '#0d0d0d',
			'header_bg_opacity' => '100',
			'header_bg_img' => '',
			'header_bg_repeat' => 'no-repeat',
			'header_bg_position' => 'center top',
			'header_bg_attachment' => 'fixed',
			'header_bg_size' => 'cover',
			'header_bg_parallax' => '',
			'header_bg_font_color' => 'light',

			'body_bg_color' => '#0d0d0d',
			'body_bg_opacity' => '100',
			'body_bg_img' => $body,
			'body_bg_repeat' => 'no-repeat',
			'body_bg_position' => 'center center',
			'body_bg_attachment' => 'fixed',
			'body_bg_size' => 'cover',

			'menu_color' => 'light',

			'page_bg_none' => '',
			'page_bg_color' => '#0d0d0d',
			'page_bg_opacity' => '100',
			'page_bg_img' => '',
			'page_bg_repeat' => 'repeat',
			'page_bg_position' => 'center top',
			'page_bg_attachment' => 'scroll',
			'page_bg_size' => 'normal',

			'top_holder_bg_none' => '',
			'top_holder_bg_color' => '#0d0d0d',
			'top_holder_bg_opacity' => '100',
			'top_holder_bg_img' => '',
			'top_holder_bg_repeat' => 'repeat',
			'top_holder_bg_position' => 'center top',
			'top_holder_bg_attachment' => 'scroll',
			'top_holder_bg_size' => 'normal',
			'top_holder_bg_parallax' => '',
			'top_holder_bg_font_color' => 'light',

			'entry_bg_none' => 'true',
			'entry_bg_color' => '#000000',
			'entry_bg_opacity' => '100',
			'entry_bg_img' => '',
			'entry_bg_repeat' => 'no-repeat',
			'entry_bg_position' => 'center top',
			'entry_bg_attachment' => 'scroll',
			'entry_bg_size' => 'normal',
			'entry_bg_font_color' => 'light',

			'bottom_holder_bg_none' => '',
			'bottom_holder_bg_color' => '#0d0d0d',
			'bottom_holder_bg_opacity' => '100',
			'bottom_holder_bg_img' => '',
			'bottom_holder_bg_repeat' => 'repeat',
			'bottom_holder_bg_position' => 'center top',
			'bottom_holder_bg_attachment' => 'scroll',
			'bottom_holder_bg_size' => 'normal',
			'bottom_holder_bg_parallax' => '',
			'bottom_holder_bg_font_color' => 'light',

			'page_title_color' => '#fff'
		);

		foreach ( $options as $id => $val) {

			// debug( $id . ' => ' . $val  );
			set_theme_mod( $id, $val );

		}

		add_option( 'wolf_customizer_init', true );
	}

}

/**
 * Set customizer preset skins
 */
function wolf_theme_customizer_skin( $skin = null ) {

	$options = array();

	//delete_option( 'wolf_customizer_init' );
	//wolf_theme_customizer_options_init();

	if ( $skin ) {

		if ( $skin == 'reset' ) {
			delete_option( 'wolf_customizer_init' );
			wolf_theme_customizer_options_init();
		}

		if ( $skin == 'transparency' ) {

			$options = array(

				'page_container' => 'fullwidth',
				'sticky_menu' => 'true',
				'menu_position' => 'top',

				'header_bg_none' => 'true',
				'header_bg_color' => '#0d0d0d',
				'header_bg_opacity' => '100',
				'header_bg_img' => '',
				'header_bg_repeat' => 'no-repeat',
				'header_bg_position' => 'center top',
				'header_bg_attachment' => 'fixed',
				'header_bg_size' => 'cover',
				'header_bg_parallax' => '',
				'header_bg_font_color' => 'light',

				'menu_bg_none' => '',
				'menu_bg_color' => '#fff',
				'menu_bg_opacity' => '10',
				'menu_position' => 'top',
				'sticky_menu' => 'true',

				'body_bg_none' => '',
				'body_bg_color' => '#0d0d0d',
				'body_bg_opacity' => '100',
				'body_bg_repeat' => 'no-repeat',
				'body_bg_position' => 'center center',
				'body_bg_attachment' => 'fixed',
				'body_bg_size' => 'cover',
				'body_bg_parallax' => '',

				'page_bg_none' => 'true',
				'page_bg_color' => '#0d0d0d',
				'page_bg_opacity' => '100',
				'page_bg_img' => '',
				'page_bg_repeat' => 'repeat',
				'page_bg_position' => 'center top',
				'page_bg_attachment' => 'scroll',
				'page_bg_size' => 'normal',

				'top_holder_bg_none' => 'true',
				'top_holder_bg_color' => '#000000',
				'top_holder_bg_opacity' => '70',
				'top_holder_bg_img' => '',
				'top_holder_bg_repeat' => 'no-repeat',
				'top_holder_bg_position' => 'center top',
				'top_holder_bg_attachment' => 'scroll',
				'top_holder_bg_size' => 'normal',
				'top_holder_bg_parallax' => '',
				'top_holder_bg_font_color' => 'light',

				'entry_bg_none' => '',
				'entry_bg_color' => '#000000',
				'entry_bg_opacity' => '70',
				'entry_bg_img' => '',
				'entry_bg_repeat' => 'no-repeat',
				'entry_bg_position' => 'center top',
				'entry_bg_attachment' => 'scroll',
				'entry_bg_size' => 'normal',
				'entry_bg_font_color' => 'light',

				'bottom_holder_bg_none' => '',
				'bottom_holder_bg_color' => '#000000',
				'bottom_holder_bg_opacity' => '70',
				'bottom_holder_bg_img' => '',
				'bottom_holder_bg_repeat' => 'no-repeat',
				'bottom_holder_bg_position' => 'center top',
				'bottom_holder_bg_attachment' => 'scroll',
				'bottom_holder_bg_size' => 'normal',
				'bottom_holder_bg_parallax' => '',
				'bottom_holder_bg_font_color' => 'light',

				'page_title_color' => '#fff'
			);

		}

		if ( $skin == 'parallax' ) {


			$options = array(

				'page_container' => 'fullwidth',
				'sticky_menu' => 'true',
				'menu_position' => 'bottom',

				'header_bg_none' => 'true',
				'header_bg_color' => '#0d0d0d',
				'header_bg_opacity' => '100',
				'header_bg_img' => '',
				'header_bg_repeat' => 'no-repeat',
				'header_bg_position' => 'center top',
				'header_bg_attachment' => 'fixed',
				'header_bg_size' => 'cover',
				'header_bg_parallax' => '',
				'header_bg_font_color' => 'light',

				'body_bg_color' => '#0d0d0d',
				'body_bg_opacity' => '100',
				'body_bg_repeat' => 'no-repeat',
				'body_bg_position' => 'center center',
				'body_bg_attachment' => 'fixed',
				'body_bg_size' => 'cover',
				'body_bg_parallax' => '',

				'menu_bg_none' => '',
				'menu_bg_color' => '#fff',
				'menu_bg_opacity' => '10',
				'menu_position' => 'bottom',
				'sticky_menu' => 'true',

				'page_bg_none' => '',
				'page_bg_color' => '#0d0d0d',
				'page_bg_opacity' => '100',
				'page_bg_repeat' => 'repeat',
				'page_bg_position' => 'center top',
				'page_bg_attachment' => 'fixed',
				'page_bg_size' => 'normal',

				'top_holder_bg_none' => '',
				'top_holder_bg_color' => '#000000',
				'top_holder_bg_opacity' => '100',
				'top_holder_bg_repeat' => 'repeat',
				'top_holder_bg_position' => 'center top',
				'top_holder_bg_attachment' => 'scroll',
				'top_holder_bg_size' => 'cover',
				'top_holder_bg_parallax' => 'true',
				'top_holder_bg_font_color' => 'light',

				'entry_bg_none' => 'true',
				'entry_bg_color' => '#000000',
				'entry_bg_opacity' => '100',
				'entry_bg_img' => '',
				'entry_bg_repeat' => 'no-repeat',
				'entry_bg_position' => 'center top',
				'entry_bg_attachment' => 'scroll',
				'entry_bg_size' => 'normal',
				'entry_bg_font_color' => 'light',

				'bottom_holder_bg_none' => '',
				'bottom_holder_bg_color' => '#000000',
				'bottom_holder_bg_opacity' => '100',
				'bottom_holder_bg_repeat' => 'repeat',
				'bottom_holder_bg_position' => 'center top',
				'bottom_holder_bg_attachment' => 'scroll',
				'bottom_holder_bg_size' => 'cover',
				'bottom_holder_bg_parallax' => 'true',
				'bottom_holder_bg_font_color' => 'light',

				'page_title_color' => '#fff'
			);


			$body =  wolf_get_theme_uri( '/images/presets/bg.jpg' );
			$page =  wolf_get_theme_uri( '/images/presets/page.png' );
			$top_holder =  wolf_get_theme_uri( '/images/presets/top-holder-parallax.jpg' );
			$bottom_holder =  wolf_get_theme_uri( '/images/presets/bottom-holder-parallax.jpg' );

			$bgs = array( 'body', 'page', 'top_holder', 'bottom_holder' );

			foreach ( $bgs as $bg ) {
				if (
					! get_theme_mod( $bg . '_bg_img' )
					|| get_theme_mod( $bg . '_bg_img' ) == wolf_get_theme_uri( '/images/presets/' . $bg . '.jpg' )
				) {
					$options[ $bg . '_bg_img' ] = wolf_get_theme_uri( '/images/presets/' . $bg . '.jpg' );
				}

			}

		}

		if ( $skin == 'dark' ) {


			$options = array(

				'page_container' => 'fullwidth',

				'header_bg_none' => 'true',
				'header_bg_color' => '#0d0d0d',
				'header_bg_opacity' => '100',
				'header_bg_img' => '',
				'header_bg_repeat' => 'no-repeat',
				'header_bg_position' => 'center top',
				'header_bg_attachment' => 'fixed',
				'header_bg_size' => 'cover',
				'header_bg_parallax' => '',
				'header_bg_font_color' => 'light',

				'body_bg_color' => '#0d0d0d',
				'body_bg_opacity' => '100',
				'body_bg_repeat' => 'no-repeat',
				'body_bg_position' => 'center center',
				'body_bg_attachment' => 'fixed',
				'body_bg_size' => 'cover',
				'body_bg_parallax' => '',

				'menu_bg_none' => '',
				'menu_bg_color' => '#fff',
				'menu_bg_opacity' => '10',
				'menu_position' => 'bottom',
				'sticky_menu' => 'true',

				'page_bg_none' => '',
				'page_bg_color' => '#191919',
				'page_bg_opacity' => '100',
				'page_bg_repeat' => 'repeat',
				'page_bg_position' => 'center top',
				'page_bg_attachment' => 'scroll',
				'page_bg_size' => 'normal',

				'top_holder_bg_none' => '',
				'top_holder_bg_color' => '#0d0d0d',
				'top_holder_bg_opacity' => '100',
				'top_holder_bg_img' => '',
				'top_holder_bg_repeat' => 'repeat',
				'top_holder_bg_position' => 'center top',
				'top_holder_bg_attachment' => 'scroll',
				'top_holder_bg_size' => 'normal',
				'top_holder_bg_parallax' => '',
				'top_holder_bg_font_color' => 'light',

				'entry_bg_none' => 'true',
				'entry_bg_color' => '#000000',
				'entry_bg_opacity' => '100',
				'entry_bg_img' => '',
				'entry_bg_repeat' => 'no-repeat',
				'entry_bg_position' => 'center top',
				'entry_bg_attachment' => 'scroll',
				'entry_bg_size' => 'normal',
				'entry_bg_font_color' => 'light',

				'bottom_holder_bg_none' => '',
				'bottom_holder_bg_color' => '#070707',
				'bottom_holder_bg_opacity' => '100',
				'bottom_holder_bg_repeat' => 'repeat',
				'bottom_holder_bg_position' => 'center top',
				'bottom_holder_bg_attachment' => 'scroll',
				'bottom_holder_bg_size' => 'normal',
				'bottom_holder_bg_parallax' => '',
				'bottom_holder_bg_font_color' => 'light',

				'page_title_color' => '#fff'
			);

		}

		if ( $skin == 'light' ) {

			$options = array(

				'page_container' => 'fullwidth',

				'header_bg_none' => 'true',
				'header_bg_color' => '#0d0d0d',
				'header_bg_opacity' => '100',
				'header_bg_img' => '',
				'header_bg_repeat' => 'no-repeat',
				'header_bg_position' => 'center top',
				'header_bg_attachment' => 'fixed',
				'header_bg_size' => 'cover',
				'header_bg_parallax' => '',
				'header_bg_font_color' => 'light',

				'body_bg_color' => '#0d0d0d',
				'body_bg_opacity' => '100',
				'body_bg_repeat' => 'no-repeat',
				'body_bg_position' => 'center center',
				'body_bg_attachment' => 'fixed',
				'body_bg_size' => 'cover',
				'body_bg_parallax' => '',

				'menu_bg_none' => '',
				'menu_bg_color' => '#fff',
				'menu_bg_opacity' => '10',
				'menu_position' => 'bottom',
				'sticky_menu' => 'true',

				'page_bg_none' => '',
				'page_bg_color' => '#FFFFFF',
				'page_bg_opacity' => '100',
				'page_bg_img' => '',
				'page_bg_repeat' => 'repeat',
				'page_bg_position' => 'center top',
				'page_bg_attachment' => 'scroll',
				'page_bg_size' => 'normal',

				'top_holder_bg_none' => '',
				'top_holder_bg_color' => '#F2EFEF',
				'top_holder_bg_opacity' => '100',
				'top_holder_bg_img' => '',
				'top_holder_bg_repeat' => 'repeat',
				'top_holder_bg_position' => 'center top',
				'top_holder_bg_attachment' => 'scroll',
				'top_holder_bg_size' => 'normal',
				'top_holder_bg_parallax' => '',
				'top_holder_bg_font_color' => 'dark',

				'entry_bg_none' => 'true',
				'entry_bg_color' => '#000000',
				'entry_bg_opacity' => '100',
				'entry_bg_img' => '',
				'entry_bg_repeat' => 'no-repeat',
				'entry_bg_position' => 'center top',
				'entry_bg_attachment' => 'scroll',
				'entry_bg_size' => 'normal',
				'entry_bg_font_color' => 'dark',

				'bottom_holder_bg_none' => '',
				'bottom_holder_bg_color' => '#F2EFEF',
				'bottom_holder_bg_opacity' => '100',
				'bottom_holder_bg_img' => '',
				'bottom_holder_bg_repeat' => 'repeat',
				'bottom_holder_bg_position' => 'center top',
				'bottom_holder_bg_attachment' => 'scroll',
				'bottom_holder_bg_size' => 'normal',
				'bottom_holder_bg_parallax' => '',
				'bottom_holder_bg_font_color' => 'dark',

				'page_title_color' => '#000'


			);


		}

		if ( $skin == 'boxed' ) {


			$options = array(

				'page_container' => 'boxed',

				'header_bg_none' => 'true',
				'header_bg_color' => '#0d0d0d',
				'header_bg_opacity' => '100',
				'header_bg_img' => '',
				'header_bg_repeat' => 'no-repeat',
				'header_bg_position' => 'center top',
				'header_bg_attachment' => 'scroll',
				'header_bg_size' => 'cover',
				'header_bg_parallax' => '',
				'header_bg_font_color' => 'light',

				'body_bg_color' => '#0d0d0d',
				'body_bg_opacity' => '100',
				'body_bg_repeat' => 'no-repeat',
				'body_bg_position' => 'center center',
				'body_bg_attachment' => 'fixed',
				'body_bg_size' => 'cover',
				'body_bg_parallax' => '',

				'menu_bg_none' => '',
				'menu_bg_color' => '#000',
				'menu_bg_opacity' => '30',
				'menu_position' => 'bottom',
				'sticky_menu' => '',

				'page_bg_none' => '',
				'page_bg_color' => '#0d0d0d',
				'page_bg_opacity' => '100',
				'page_bg_repeat' => 'repeat',
				'page_bg_position' => 'center top',
				'page_bg_attachment' => 'scroll',
				'page_bg_size' => 'normal',

				'top_holder_bg_none' => '',
				'top_holder_bg_color' => '#0d0d0d',
				'top_holder_bg_opacity' => '100',
				'top_holder_bg_img' => '',
				'top_holder_bg_repeat' => 'repeat',
				'top_holder_bg_position' => 'center top',
				'top_holder_bg_attachment' => 'scroll',
				'top_holder_bg_size' => 'normal',
				'top_holder_bg_parallax' => '',
				'top_holder_bg_font_color' => 'light',

				'entry_bg_none' => 'true',
				'entry_bg_color' => '#000000',
				'entry_bg_opacity' => '100',
				'entry_bg_img' => '',
				'entry_bg_repeat' => 'no-repeat',
				'entry_bg_position' => 'center top',
				'entry_bg_attachment' => 'scroll',
				'entry_bg_size' => 'normal',
				'entry_bg_font_color' => 'light',

				'bottom_holder_bg_none' => '',
				'bottom_holder_bg_color' => '#0d0d0d',
				'bottom_holder_bg_opacity' => '100',
				'bottom_holder_bg_repeat' => 'repeat',
				'bottom_holder_bg_position' => 'center top',
				'bottom_holder_bg_attachment' => 'scroll',
				'bottom_holder_bg_size' => 'normal',
				'bottom_holder_bg_parallax' => '',
				'bottom_holder_bg_font_color' => 'light',

				'page_title_color' => '#fff'
			);

		}

		foreach ( $options as $id => $val) {

			//debug( $id . ' => ' . $val  );
			set_theme_mod( $id, $val );

		}

		return true;
	}

}


function wolf_remove_customizer_options() {

	global $customizer_options;

	//debug($customizer_options);

	if ( isset( $customizer_options ) ) {

		// first remove all options
		foreach ( $customizer_options as $section ) {

			$section_id = $section['id'];
			$is_background = isset( $section['background'] ) && $section['background'] == true;


			if ( $is_background ) {

				$background = $section; // name it background so it's more clear
				$background_id = $section_id;
				$bg_options = array(
					'color' => '',
					'opacity' => '100',
					'img' => '',
					'repeat' => 'repeat',
					'attachment' => 'scroll',
					'position' => 'center center',
					'size' => 'normal',
					'parallax' => '',
					'none' => '',
					'font_color' => 'light'
				);

				foreach ( $bg_options as $bg_option => $default ) {

					set_theme_mod( $background_id . '_' . $bg_option, $default );
				}


			} else {

				$options = isset( $section['options'] ) ? $section['options'] : array();
				foreach ( $options as $option ) {

					$option_id = $option['id'];

					if ( $option['type'] == 'background' ){
						$bg_options = array(
							'color' => '',
							'opacity' => '100',
							'img' => '',
							'repeat' => 'repeat',
							'attachment' => 'scroll',
							'position' => 'center center',
							'size' => 'normal',
							'parallax' => '',
							'none' => '',
							'font_color' => 'light'
						);

						foreach ( $bg_options as $bg_option => $default ) {

							set_theme_mod( $option_id . '_' . $bg_option, $default );
						}
					}
					set_theme_mod( $option_id , '' );

				}
			}


		}
	}
}


function wolf_live_presets() {

	extract( $_POST );
	if ( isset( $_POST['skin'] ) ) {

		$skin = esc_attr( $_POST['skin'] );
		//echo $skin;
		if ( wolf_theme_customizer_skin( $skin ) )
			echo 'OK';
	}
	exit;


}
add_action('wp_ajax_wolf_live_presets', 'wolf_live_presets');

function wolf_theme_customizer_presets() {
	wp_enqueue_script('customizer-presets', WOLF_THEME_URL . '/js/customizer-presets.js');
	wp_localize_script( 'customizer-presets', 'WolfCustomizer', array(
			'ajaxUrl' => admin_url( 'admin-ajax.php' ),
			'resetOptionsConfirmMessage' => __( 'Are you sure to want to reset all styles to default ?', 'wolf' )
		)
	);
}
add_action( 'customize_controls_print_footer_scripts', 'wolf_theme_customizer_presets' );