<?php
/**
* Register footer widget area and main sidebar
*/
function wolf_sidebars_init() {

	// Main Sidebar
	register_sidebar( array(
		'name'          => __( 'Main Sidebar', 'wolf' ),
		'id'            => 'main',
		'description'   => __( 'Appears in pages', 'wolf' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s"><div class="widget-content">',
		'after_widget'  => '</div></aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	// Footer Sidebar
	register_sidebar( array(
		'name'          => __( 'Footer Widget Area', 'wolf' ),
		'id'            => 'sidebar-footer',
		'description'   => __( 'Appears in the footer section of the site (supports 4 widgets)', 'wolf' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s"><div class="widget-content">',
		'after_widget'  => '</div></aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	if ( class_exists( 'Woocommerce' ) ) {
		register_sidebar( array(
			'name'          => __( 'Store Sidebar', 'wolf' ),
			'id'            => 'woocommerce',
			'description'   => __( 'Appears in Woocommerce pages', 'wolf' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s"><div class="widget-content">',
			'after_widget'  => '</div></aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}

}
add_action( 'widgets_init', 'wolf_sidebars_init' );
?>